Exchange Volume Chart within Time Range by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/exchanges/{id}/volume_chart/range \
--header 'x-cg-pro-api-key: <api-key>'[
[
1767282600000,
"100719.0303690094832477"
],
[
1767369000000,
"132387.93566259711126"
]
]Exchanges
Exchange Volume Chart within Time Range by ID
To query the historical volume chart data in BTC by specifying date range in UNIX based on exchange’s ID
GET
/
exchanges
/
{id}
/
volume_chart
/
range
Exchange Volume Chart within Time Range by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/exchanges/{id}/volume_chart/range \
--header 'x-cg-pro-api-key: <api-key>'[
[
1767282600000,
"100719.0303690094832477"
],
[
1767369000000,
"132387.93566259711126"
]
]Notes
- Also works for derivatives exchanges (e.g.
bitmex,binance_futures). - Data interval is fixed at daily.
- The date range between
fromandtomust be within 31 days.
SDK Examples
const response = await client.exchanges.volumeChart.getRange('binance', {
from: 1767196800,
to: 1769702400,
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Exchange ID or derivative exchange ID.
*refers to /exchanges/list or /derivatives/exchanges/list.
Query Parameters
Starting date in UNIX timestamp.
Ending date in UNIX timestamp.
Response
200 - application/json
Exchange volume chart data within time range
Was this page helpful?
⌘I

